Bug 805782 - sync and port latest rhel6 firstboot.py
sync and port latest rhel6 firstboot.py
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RHEL7KdumpTracker
  Show dependency treegraph
 
Reported: 2012-03-22 02:04 EDT by Dave Young
Modified: 2012-09-24 10:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: kexec-tools-2.0.3-54
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-24 10:02:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Young 2012-03-22 02:04:03 EDT
Description of problem:

Sync and port latest rhel6 firstboot.py logic

related bzs need review after porting:
O 506162,"traceback during firstboot with error of missing module named
O 524811,"firstboot crashes when needs a reboot"
O 594830,"kdump remains enabled"
O 507432,"Module firstboot_kdump does not contain a class named
O 507647,"Can't actually exit firstboot after configuring kdump"
O 507944,"Slight chance for uninitialized self.kdumpEnabled
variable"
O bz676758,"firstboot doesn't recognize the new crashkernel syntax"
O bz598064,"[FEAT RHEL6.1] Configure and enable kdump by default at
O bz619061,"kexec-tools translation is not Working in Firstboot in any
O bz654245,"firstboot gives ""Insufficient memory to configure kdump!""
O bz688150,"Firstboot - Closing an window is accepted as ""Yes"""
O bz523092,"[RHEL6] Enable kexec-kdump on systems with enough of memory
  (>4G)"
O bz652724,"""Insufficient memory to configure kdump!"" during install"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2012-04-16 02:12:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.